<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="1080dp"
        android:layout_height="600dp"
        android:layout_gravity="center"
        android:background="@drawable/home_rectangle_background"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/tv_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginTop="40dp"
            android:text="选择时间：12:00"
            android:textColor="#2791FF"
            android:textSize="40sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.SwitchCompat
            android:id="@+id/sc_status"
            android:layout_width="80dp"
            android:layout_height="80dp"
            android:checked="true"
            android:scaleX="2.0"
            android:scaleY="2.0"
            android:layout_marginEnd="80dp"
            android:layout_marginTop="40dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />

        <TextView
            android:id="@+id/backstage_textview14"
            android:layout_width="match_parent"
            android:layout_marginVertical="40dp"
            android:layout_height="1dp"
            android:background="#d9d9d9"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_time" />

        <TextView
            android:id="@+id/backstage_textview12"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginVertical="40dp"
            android:layout_marginStart="20dp"
            android:text="星期："
            android:textColor="#2791FF"
            android:textSize="40sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/backstage_textview14" />

        <CheckBox
            android:id="@+id/cb_sunday"
            android:layout_width="wrap_content"

            android:layout_height="wrap_content"
            android:text="周日"
            android:layout_marginStart="20dp"
            android:textColor="#2791FF"
            android:textSize="40sp"
            app:layout_constraintBaseline_toBaselineOf="@+id/backstage_textview12"
            app:layout_constraintStart_toEndOf="@+id/backstage_textview12" />


        <CheckBox
            android:id="@+id/cb_monday"
            android:layout_width="wrap_content"

            android:layout_height="wrap_content"
            android:text="周一"
            android:layout_marginStart="20dp"
            android:textColor="#2791FF"
            android:textSize="40sp"
            app:layout_constraintBaseline_toBaselineOf="@+id/cb_sunday"
            app:layout_constraintStart_toEndOf="@+id/cb_sunday" />


        <CheckBox
            android:id="@+id/cb_tuesday"
            android:layout_width="wrap_content"

            android:layout_height="wrap_content"
            android:text="周二"
            android:layout_marginStart="20dp"
            android:textColor="#2791FF"
            android:textSize="40sp"
            app:layout_constraintBaseline_toBaselineOf="@+id/cb_monday"
            app:layout_constraintStart_toEndOf="@+id/cb_monday" />

        <CheckBox
            android:id="@+id/cb_wednesday"
            android:layout_width="wrap_content"

            android:layout_height="wrap_content"
            android:text="周三"
            android:layout_marginStart="20dp"
            android:textColor="#2791FF"
            android:textSize="40sp"
            app:layout_constraintBaseline_toBaselineOf="@+id/cb_monday"
            app:layout_constraintStart_toEndOf="@+id/cb_monday" />

        <CheckBox
            android:id="@+id/cb_thursday"
            android:layout_width="wrap_content"

            android:layout_height="wrap_content"
            android:text="周四"
            android:layout_marginStart="20dp"
            android:textColor="#2791FF"
            android:textSize="40sp"
            app:layout_constraintBaseline_toBaselineOf="@+id/cb_wednesday"
            app:layout_constraintStart_toEndOf="@+id/cb_wednesday" />

        <CheckBox
            android:id="@+id/cb_friday"
            android:layout_width="wrap_content"

            android:layout_height="wrap_content"
            android:text="周五"
            android:layout_marginStart="20dp"
            android:textColor="#2791FF"
            android:textSize="40sp"
            app:layout_constraintBaseline_toBaselineOf="@+id/cb_wednesday"
            app:layout_constraintStart_toEndOf="@+id/cb_thursday" />

        <CheckBox
            android:id="@+id/cb_saturday"
            android:layout_width="wrap_content"

            android:layout_height="wrap_content"
            android:text="周六"
            android:layout_marginStart="20dp"
            android:textColor="#2791FF"
            android:textSize="40sp"
            app:layout_constraintBaseline_toBaselineOf="@+id/cb_friday"
            app:layout_constraintStart_toEndOf="@+id/cb_friday" />

        <TextView
            android:id="@+id/backstage_textview15"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginVertical="40dp"
            android:background="#d9d9d9"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/backstage_textview12" />

        <TextView
            android:id="@+id/backstage_textview13"
            android:layout_width="wrap_content"
            android:layout_marginVertical="40dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:text="类型："
            android:textColor="#2791FF"
            android:textSize="40sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/backstage_textview15" />

        <RadioGroup
            android:id="@+id/rg_type"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="@+id/backstage_textview13"
            app:layout_constraintStart_toEndOf="@+id/backstage_textview13"
            app:layout_constraintTop_toTopOf="@+id/backstage_textview13">

            <RadioButton
                android:id="@+id/rb_open_dev"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:checked="true"
                android:text="@string/base_open_dev"
                android:textColor="#2791FF"
                android:textSize="40sp" />

            <RadioButton
                android:id="@+id/rb_close_dev"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:checked="true"
                android:text="@string/base_close_dev"
                android:textColor="#2791FF"
                android:textSize="40sp" />

            <RadioButton
                android:id="@+id/rb_open_sleep"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:checked="true"
                android:text="开启休眠"
                android:textColor="#2791FF"
                android:textSize="40sp" />

            <RadioButton
                android:id="@+id/rb_close_sleep"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:checked="true"
                android:text="关闭休眠"
                android:textColor="#2791FF"
                android:textSize="40sp" />


        </RadioGroup>


        <TextView
            android:layout_width="match_parent"
            android:layout_marginVertical="40dp"
            android:layout_height="1dp"
            android:layout_marginBottom="@dimen/dp_10"
            android:background="#d9d9d9"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/backstage_textview13"/>

        <TextView
            android:id="@+id/tv_confirm"
            android:layout_width="260dp"
            android:layout_height="wrap_content"
            android:background="@drawable/home_rectangle_blue_background"
            android:gravity="center"
            android:minHeight="100dp"
            android:text="@string/base_backstage_confirm"

            android:textColor="@color/white"
            android:textSize="42sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/backstage_guideline"
            android:layout_marginBottom="40dp"
            app:layout_constraintStart_toStartOf="parent" />

        <TextView
            android:id="@+id/tv_back"
            android:layout_width="260dp"
            android:layout_height="100dp"
            android:gravity="center"
            android:text="@string/base_backstage_cancle"
            android:textColor="#569DF6"
            android:textSize="42sp"
            android:layout_marginBottom="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@+id/backstage_guideline" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/backstage_guideline"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.5" />


    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>